| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Properties | Private Attributes | List of all members
IG.Num.StructuredField2d< TElement > Class Template Reference

Field where field elements are arranged in a 2 dimensional array. Usually represents a field over a structured 2D mesh. More...

Inheritance diagram for IG.Num.StructuredField2d< TElement >:
[legend]
Collaboration diagram for IG.Num.StructuredField2d< TElement >:
[legend]

## Public Member Functions
| StructuredField2d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description. More...
| StructuredField2d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredField2d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredField2d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
int | GetIndex (int i1, int i2)
| Returns the linear index of the component that is identified by 2 separate indices. More...
void | getIndices (int index, out int i1, out int i2)
| Converts linear (contiguous) index to 2 separate indices for 2 dimensions. More...
virtual void | SetDimensions (int d1, int d2)
| Sets all three dimensions of the current 2D structured field. More...
Public Member Functions inherited from IG.Num.Field< TElement >
| Field ()
| Constructs a new empty field (no elements contained) with no name and no description. More...
| Field (int numElements)
| Creates a new field with the specified number of elements. More...
| Field (int numElements, string fieldName)
| Constructs a new field with the specified number of elements and name. More...
| Field (int numElements, string fieldName, string fieldDescription)
| Constructs a new field with the specified number of elements, name and description. Table of elements is allocated. More...
virtual void | SetLength (int newLength)
| Sets the length of the current field to the specified value. More...
TElement | GetValue (int index)
| Returns element of the field at the specified index. More...
void | SetValue (int index, TElement value)
| Sets the element at the specified index to the specified value. More...

## Static Public Member Functions
static void | MapCoordinatesPlain (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinates (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinatesReferencePlain (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane. More...
static void | MapCoordinatesReference (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane. More...
static void | MapCoordinatesToScalarsPlain (StructuredField2d< vec3 > referenceField, StructuredField2d< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (StructuredField2d< vec3 > referenceField, StructuredField2d< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinates (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes. More...
static void | GenerateCoordinates (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes. More...
static void | MapCoordinatesPlain (StructuredField2d< vec2 > referenceField, StructuredField2d< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinates (StructuredField2d< vec2 > referenceField, StructuredField2d< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinatesToScalarsPlain (StructuredField2d< vec2 > referenceField, StructuredField2d< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (StructuredField2d< vec2 > referenceField, StructuredField2d< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinates (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes. More...
static void | GenerateCoordinates (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes. More...
Static Public Member Functions inherited from IG.Num.Field< TElement >
static void | UpdateBounds (Field< double > field, IBoundingBox bounds, int componentIndex)
| Updates the specified component of the specified bounds (object of type IBoundingBox) in such a way that all elements of the specified field will fit within the bounds. More...
static void | UpdateBounds< TEl > (Field< TEl > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all non-null vectors on the specified field will fit within the bounds. More...
static void | UpdateBounds (Field< vec3 > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all 3D vector elements of type vec3 of the specified field will fit within the bounds. More...
static void | MapCoordinatesPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 scalar functions of 3 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 3 scalar functions of 3 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates2dPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. Mapping functions act only on the first two coordinates of each point. More...
static void | MapCoordinates2d (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 3 scalar functions of 2 variables that map the first two coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates1dPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 functions of 1 variable that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinates1d (Field< vec3 > referenceField, Field< vec3 > targetField, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 functions of 1 variable that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinatesToScalarsPlain (Field< vec3 > referenceField, Field< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 3D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (Field< vec3 > referenceField, Field< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 3D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinatesPlain (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | UpdateBounds (Field< vec2 > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all 2D vector elements of type vec2 of the specified field will fit within the bounds. More...
static void | MapCoordinatesPlain (Field< vec2 > referenceField, Field< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 2 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates (Field< vec2 > referenceField, Field< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 2 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates1dPlain (Field< vec2 > referenceField, Field< vec2 > targetField, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a set of unstructured 2D points (point cloud) from a reference set according to 2 functions of 1 variables that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinates1d (Field< vec2 > referenceField, Field< vec2 > targetField, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a set of unstructured 2D points (point cloud) from a reference set according to 2 functions of 1 variables that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinatesToScalarsPlain (Field< vec2 > referenceField, Field< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (Field< vec2 > referenceField, Field< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinatesPlain (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates2dPlain (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D unstructured grid embedded in 3D from a regular grid with grid directions parallel to the first two coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates2d (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D unstructured grid embedded in 3D from a regular grid with grid directions parallel to the first two coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates2dPlain (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates2d (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates1dPlain (Field< vec3 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid from a regular grid with grid direction parallel to X coordinate axes and equidistantly arranged nodes. More...
static void | GenerateCoordinates1d (Field< vec3 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid from a regular grid with grid direction parallel to X coordinate axis and equidistantly arranged nodes. More...
static void | GenerateCoordinates1dPlain (Field< vec3 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a 1D unstructured grid of a parametric curve according to functions specifying the x, y, and z coordinates in terms of three functions of 1 variable. More...
static void | GenerateCoordinates1d (Field< vec3 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a 1D unstructured grid of a parametric curve according to functions specifying the x, y, and z coordinates in terms of three functions of 1 variables. More...
static void | GenerateCoordinates1dPlain (Field< vec2 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid embedded in 2D space from a regular grid with grid direction parallel to X coordinate axes and equidistantly arranged nodes. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid embedded in 2D space from a regular grid with grid direction parallel to X coordinate axis and equidistantly arranged nodes. More...
static void | GenerateCoordinates1dPlain (Field< vec2 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a 1D unstructured grid embedded in 2D space of a parametric curve according to functions specifying the x, and y coordinates in terms of 2 functions of 1 variable. More...
static void | GenerateCoordinates1d (Field< vec2 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a 1D unstructured grid embedded in 2D space of a parametric curve according to functions specifying the x, and y coordinates in terms of 2 functions of 1 variable. More...
static void | Example ()

## Properties
TElement | this[int i1, int i2]`[get, set]`
| Returns element of the field at specified indices. More...
int | Dim1`[get, set]`
| Returns the first dimenson of the structured mesh (number of mesh points in the first direction). More...
int | Dim2`[get, set]`
| Returns the second dimenson of the structured mesh (number of mesh points in the second direction). More...
Properties inherited from IG.Num.Field< TElement >
string | Name`[get, set]`
| Name of the field. More...
string | Description`[get, set]`
| Description of the field. More...
virtual TElement[] | Values`[get, protected set]`
| Array of field values. More...
int | Length`[get, protected set]`
| Number of elements. More...
TElement | this[int index]`[get, set]`
| Access to elements through element index. More...

## Private Attributes
int | _d1
int | _d2

## Additional Inherited Members
Protected Attributes inherited from IG.Num.Field< TElement >
TElement[] | _values

## Detailed Description

Field where field elements are arranged in a 2 dimensional array. Usually represents a field over a structured 2D mesh.

Elements can be accessed either through a single index running over all elements of the array, or by 2 indices indexing elements in 2 basic directions of the grid. The first index ("x direction") ie least significant and the last index is most significant.

Template Parameters

  TElement | Type of elements in the field.

Indexing of elements of the structured 2D field has changed in 2011. Now the first index (in x direction) is least significant and the last one is most significant, opposite to notation in matrices.

$A Igor Jan08 Mar09;

## Constructor & Destructor Documentation

IG.Num.StructuredField2d< TElement >.StructuredField2d | ( |  | ) |
| inline

Constructs a new empty 2D field (no elements contained) with no name and no description.

IG.Num.StructuredField2d< TElement >.StructuredField2d | ( | int | dim1,
|  | int | dim2
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

IG.Num.StructuredField2d< TElement >.StructuredField2d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

Parameters

  dim1 | First dimension.
  dim2 | Second dimension.
  fieldName | Name of the field.

IG.Num.StructuredField2d< TElement >.StructuredField2d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  fieldName | Name of the field.
  fieldDescription | Field description.

## Member Function Documentation

int IG.Num.StructuredField2d< TElement >.GetIndex | ( | int | i1,
|  | int | i2
| ) |  |
| inline

Returns the linear index of the component that is identified by 2 separate indices.

Field elements are stored in one dimensional array but they can be accesses by 2 indices as they were part of 2 dimensional array.

The last index (for "y direction") is most significant and the first one (in "x direction") is least significant.

Parameters

  i1 | The first index of an element in a 2D array (least significant).
  i2 | The second index of an element in a 2D array.

Indexing of elements of the structured 2D field has changed in 2011. Now the first index (in x direction) is least significant and the last one is most signifivant, opposite to notation in matrices.

$A Igor Jan08 Oct11;

void IG.Num.StructuredField2d< TElement >.getIndices | ( | int | index,
|  | out int | i1,
|  | out int | i2
| ) |  |
| inline

Converts linear (contiguous) index to 2 separate indices for 2 dimensions.

The last index (for "y direction") is most significant and the first one (in "x direction") is least significant.

Parameters

  index | Overall contiguous index.
  i1 | The first index of an element in a 2D array (least significant)
  i2 | The second index of an element in a 2D array.

Indexing of elements of the structured 2D field has changed in 2011. Now the first index (in x direction) is least significant and the last one is most signifivant, opposite to notation in matrices.

$A Igor Jan08 Oct11;

virtual void IG.Num.StructuredField2d< TElement >.SetDimensions | ( | int | d1,
|  | int | d2
| ) |  |
| inline virtual

Sets all three dimensions of the current 2D structured field.

Parameters

  d1 | First dimension.
  d2 | Second dimension.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesPlain | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< vec3 > | targetField,
|  | IFunc3d | fx,
|  | IFunc3d | fy,
|  | IFunc3d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

Function can be used for transformation of any nodal vector values of a grid, not just for transformation of coordinates.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which transformed coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinates | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< vec3 > | targetField,
|  | IFunc3d | fx,
|  | IFunc3d | fy,
|  | IFunc3d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

Function can be used for transformation of any nodal vector values of a grid, not just for transformation of coordinates.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesReferencePlain | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< vec3 > | targetField,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which transformed coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

References IG.Num.IFunc2d.Value(), IG.Num.vec3.x, and IG.Num.vec3.y.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesReference | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< vec3 > | targetField,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesToScalarsPlain | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< double > | targetScalarField,
|  | IFunc3d | scalarMap
| ) |  |
| inline static

Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values.

Function can be used for any mapping of nodal vector values to nodal scalar values of a 2D grid embedded in 3D, not just for mapping of coordinates.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  referenceField | Field containing coordinates that will be mapped to scalar values.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetScalarField | Field in which the mapped scalars are stored.

Dimensions must be set and consistent with dimensions of the reference field, and array of values must be allocated before the function is called.

Parameters

  scalarMap | Function that maps node coordinates of the reference grid to scalar values of the target grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesToScalars | ( | StructuredField2d< vec3 > | referenceField,
|  | StructuredField2d< double > | targetScalarField,
|  | IFunc3d | scalarMap
| ) |  |
| inline static

Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values.

Function can be used for any mapping of nodal vector values to nodal scalar values of a 2D grid embedded in 3D, not just for mapping of coordinates.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  referenceField | Field containing coordinates that will be mapped to scalar values.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetScalarField | Field in which the mapped scalars are stored.

Dimensions must be set and consistent with dimensions of the reference field, and array of values must be allocated before the function is called.

Parameters

  scalarMap | Function that maps node coordinates of the reference grid to scalar values of the target grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinatesPlain | ( | StructuredField2d< vec3 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  |
| inline static

Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinates | ( | StructuredField2d< vec3 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  |
| inline static

Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinatesPlain | ( | StructuredField2d< vec3 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes.

First two coordinates of each reference grid node are mapped to the three coordinate components of the generated grid.

The generated grid covers a bounded patch of a parametric surface in 3D specified by the three functions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates' component of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates' component of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates' component of the actual grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinates | ( | StructuredField2d< vec3 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline static

Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes.

First two coordinates of each reference grid node are mapped to the three coordinate components of the generated grid.

The generated grid covers a bounded patch of a parametric surface in 3D specified by the three functions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates' component of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates' component of the actual grid.
  fz | Function that maps node coordinates of the reference grid to the third node coordinates' component of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesPlain | ( | StructuredField2d< vec2 > | referenceField,
|  | StructuredField2d< vec2 > | targetField,
|  | IFunc2d | fx,
|  | IFunc2d | fy
| ) |  |
| inline static

Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

Function can be used for transformation of any nodal vector values of a grid, not just for transformation of coordinates.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which transformed coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinates | ( | StructuredField2d< vec2 > | referenceField,
|  | StructuredField2d< vec2 > | targetField,
|  | IFunc2d | fx,
|  | IFunc2d | fy
| ) |  |
| inline static

Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain.

Target field can be the same as the reference field (in this case coordinates of the reference field are overwritten one by one).

Function can be used for transformation of any nodal vector values of a grid, not just for transformation of coordinates.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  referenceField | Field containing reference coordinates that will be mapped to actual coordinates.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetField | Field for which coordinates are generated.

Dimensions must be set and consistent with dimensions of the reference field, and array of vector values must be allocated before the function is called.

This parameter can be the same field as referenceField .

Parameters

  fx | Function that maps node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates of the actual grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesToScalarsPlain | ( | StructuredField2d< vec2 > | referenceField,
|  | StructuredField2d< double > | targetScalarField,
|  | IFunc2d | scalarMap
| ) |  |
| inline static

Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values.

Function can be used for any mapping of nodal vector values to nodal scalar values of a 2D grid, not just for mapping of coordinates.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  referenceField | Field containing coordinates that will be mapped to scalar values.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetScalarField | Field in which the mapped scalars are stored.

Dimensions must be set and consistent with dimensions of the reference field, and array of values must be allocated before the function is called.

Parameters

  scalarMap | Function that maps node coordinates of the reference grid to scalar values of the target grid.

static void IG.Num.StructuredField2d< TElement >.MapCoordinatesToScalars | ( | StructuredField2d< vec2 > | referenceField,
|  | StructuredField2d< double > | targetScalarField,
|  | IFunc2d | scalarMap
| ) |  |
| inline static

Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values.

Function can be used for any mapping of nodal vector values to nodal scalar values of a 2D grid, not just for mapping of coordinates.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  referenceField | Field containing coordinates that will be mapped to scalar values.

Dimensions must be set and array of vector values (coordinates) must be allocated before the function is called.

Parameters

  targetScalarField | Field in which the mapped scalars are stored.

Dimensions must be set and consistent with dimensions of the reference field, and array of values must be allocated before the function is called.

Parameters

  scalarMap | Function that maps node coordinates of the reference grid to scalar values of the target grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinatesPlain | ( | StructuredField2d< vec2 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  |
| inline static

Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions.

Numbers of nodes in each grid direction are specified by current dimensions of the grid.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinates | ( | StructuredField2d< vec2 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  |
| inline static

Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions.

Numbers of nodes in each grid direction are specified by current dimensions of the grid.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinatesPlain | ( | StructuredField2d< vec2 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy
| ) |  |
| inline static

Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes.

Coordinates of each reference grid node are mapped to the two coordinate components of the generated grid.

The generated grid covers a bounded parametric patch in 2D specified by the two functions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

This is plain version of the method that does not check consistency of dimension or existence of objects.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates' component of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates' component of the actual grid.

static void IG.Num.StructuredField2d< TElement >.GenerateCoordinates | ( | StructuredField2d< vec2 > | field,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy
| ) |  |
| inline static

Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes.

Coordinates of each reference grid node are mapped to the two coordinate components of the generated grid.

The generated grid covers a bounded parametric patch in 2D specified by the two functions.

Numbers of nodes in each grid directions are specified by current dimensions of the grid.

Consistency of dimensions and existence of objects are checked and exceptions are thrown when checks fail.

Parameters

  field | Field for which coordinates are generated. Dimensions must be set and array of vector values allocated before this function is called.
  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps node coordinates of the reference grid to the first node coordinates' component of the actual grid.
  fy | Function that maps node coordinates of the reference grid to the second node coordinates' component of the actual grid.

## Member Data Documentation

int IG.Num.StructuredField2d< TElement >._d1
| private

int IG.Num.StructuredField2d< TElement >._d2
| private

## Property Documentation

TElement IG.Num.StructuredField2d< TElement >.this[int i1, int i2]
| get set

Returns element of the field at specified indices.

Parameters

  i1 | The first index of an element in a 2D array (least significant).
  i2 | The second index of an element in a 2D array.

Indexing of elements of the structured 2D field has changed in 2011. Now the first index (in x direction) is least significant and the last one is most significant, opposite to notation in matrices.

$A Igor Jan08 Oct11;

int IG.Num.StructuredField2d< TElement >.Dim1
| get set

Returns the first dimenson of the structured mesh (number of mesh points in the first direction).

Dependencies are handled by a call to the SetDimensions method when the property is set.

Referenced by IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), and IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled().

int IG.Num.StructuredField2d< TElement >.Dim2
| get set

Returns the second dimenson of the structured mesh (number of mesh points in the second direction).

Dependencies are handled by a call to the SetDimensions method when the property is set.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/meshing/StructuredField2dGeneric.cs